
/*------------------------------------------------------------------------
    File        : 05_adapter/IMaps
    Purpose     : Allow to access various map systems with one interface
    Description : Interface for call to map systems
    Author(s)   : klaus.erichsen
    Created     : Wed Jan 09 15:22:05 CET 2019
  ----------------------------------------------------------------------*/

USING Progress.Lang.*.

INTERFACE 05_adapter.IMaps:

/*-----------------------------------Method-------------------------------------
  Get latitude/longitude, return address.
  E.g. 53.555530 / 9.983580 returns 'Valentinskamp 30, Hamburg, Germany'
------------------------------------------------------------------------------*/

  METHOD PUBLIC CHARACTER getAddress (dLat AS DECIMAL, dLng AS DECIMAL).

END INTERFACE.