/*------------------------------------------------------------------------
    File        : 02_singleton/start.p
    Purpose     : starting the Singleton Pattern example.
    Author(s)   : Xara Arnold
  ----------------------------------------------------------------------*/

USING 02_singleton.Configuration.

/*---------------------------------Definitions----------------------------------*/

DEFINE VARIABLE oConfiguration  AS Configuration NO-UNDO.
DEFINE VARIABLE cBaseExportPath AS CHARACTER NO-UNDO.

/*---------------------------------Main Block-----------------------------------*/

/* Access singleton. When object not existing, it will be created. */
oConfiguration = Configuration:oInstance.
/* Acessing a configuration value from my configuration object. */
cBaseExportPath = oConfiguration:cBaseExportPath.

MESSAGE "Received a Value for ExportPath from singleton object:" SKIP
        "'" cBaseExportPath "'"
  VIEW-AS ALERT-BOX INFORMATION.