 /*------------------------------------------------------------------------
    File        : MyService
    Author(s)   : michael.barfs, Klaus Erichsen

  The service class, which handles data. In a real program this may 
  be a complex query object, a ftp servive, ESB...
  ----------------------------------------------------------------------*/

USING Progress.Lang.*.
USING 04_lazy_loading.virtual_proxy.IMyService.


CLASS 04_lazy_loading.virtual_proxy.MyService IMPLEMENTS IMyService:

  DEFINE PRIVATE PROPERTY iData AS INTEGER NO-UNDO GET. SET.
  DEFINE PRIVATE PROPERTY cData AS CHARACTER NO-UNDO GET. SET.


  CONSTRUCTOR PUBLIC MyService():
    iData = 123.
    cData = "Some more data".
  END CONSTRUCTOR.

  METHOD PUBLIC INTEGER GetData():
    RETURN iData.
  END METHOD.

  METHOD PUBLIC CHARACTER GetMoreData():
    RETURN cData.
  END METHOD.

END CLASS.
