/*------------------------------------------------------------------------
    File        : 05_adapter/start.p
    Purpose     : starting the Adapter Pattern example
    Author(s)   : xara.arnold, Klaus Erichsen

  This starter is starting a geo code object.
  This can be 'Google' or 'OSM' and in background transparently
  the right object is loaded.
  The call to get the adress   
  ----------------------------------------------------------------------*/

USING 05_adapter.GeoApi.

/*---------------------------------Definitions----------------------------------*/

DEFINE VARIABLE oGeoApi      AS GeoApi NO-UNDO.
DEFINE VARIABLE MapType       AS CHARACTER NO-UNDO.
DEFINE VARIABLE Latitude     AS DECIMAL NO-UNDO.
DEFINE VARIABLE Longitude    AS DECIMAL NO-UNDO.
DEFINE VARIABLE cReturnValue AS CHARACTER NO-UNDO.

/*---------------------------------Main Block-----------------------------------*/

/* Possible values
   MapType   = "Google".  
   MapType   = "OSM". */
MapType   = "OSM".   

Latitude  = 53.555530.
Longitude = 9.983580.

oGeoApi = NEW GeoApi(MapType).
cReturnValue = oGeoApi:mGetAdrFromCoord(Latitude, Longitude).

MESSAGE "The Address of your Coordinates: " SKIP
        "Latitude: " Latitude  "  Longitude: " Longitude SKIP
        cReturnValue
VIEW-AS ALERT-BOX.
