
/*------------------------------------------------------------------------
    File        : 06_Factory/iWheeler
    Purpose     : Interface of a wheeler
    Author(s)   : klaus.erichsen

  This interface describes everything a wheeler (car, bike, etc.) needs. 
  ----------------------------------------------------------------------*/

USING Progress.Lang.*.

INTERFACE 06_Factory.iWheeler:  
  
  DEFINE PUBLIC PROPERTY cColor        AS CHARACTER NO-UNDO GET. SET. 
  DEFINE PUBLIC PROPERTY cType         AS CHARACTER NO-UNDO GET. SET. 
  DEFINE PUBLIC PROPERTY cBuildResult  AS CHARACTER NO-UNDO GET. SET. 
  DEFINE PUBLIC PROPERTY cFeatures     AS CHARACTER NO-UNDO GET. SET. 

  // Build the car, bike...
  METHOD PUBLIC VOID buildWheeler (  ).

  // Level of test drive, e.g. moderate, hard, off road...
  METHOD PUBLIC CHARACTER driveTest ( INPUT cLevel AS CHARACTER). 
  
  
END INTERFACE.