/*------------------------------------------------------------------------------

    File        : start_samples.p
    Author(s)   : Klaus Erichsen
  
  Top level start program of the OO ABL Design Pattern examples.
------------------------------------------------------------------------------*/

/* Here are sources for the 7 patterns, discussed in the OO ABL Design articles.
   See 'https://www.iap.de/blog' for the online version of the articles.
   When you run this program, you see multiple message telling you something
   about the pattern which runs.
   To know more about the pattern have a look into the sources.
   You can run any of the demos by using the local start.p file.
   
   The source code is 'as is', you can use the code if you like, but IAP is not 
   responsible for the outcome. 
   
   You need a sports 2000 DB connected to compile all programs.
   
   For questions contact Klaus Erichsen (ke@iap.de). */ 
   
RUN 01_builder/START.p.
RUN 02_singleton/START.p.
RUN 03_multiton/START.p.
RUN 04_lazy_loading/lazy_initialization/start.p.
RUN 05_adapter/start.p.
RUN 06_Factory/start.p.
RUN 07_Proxy/start.p.
